summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorChunseok Lee <chunseok.lee@samsung.com>2018-09-18 16:53:40 +0900
committerChunseok Lee <chunseok.lee@samsung.com>2018-09-18 16:53:40 +0900
commit91f4ba45449f700a047a4aeea00b1a7c84e94c75 (patch)
treec60eecdba0861c51010fb0519f8a59668d90a6d2 /tests
parent07659ccd9fe7b1cf1547cc6cad78bcf489f0a361 (diff)
downloadnnfw-91f4ba45449f700a047a4aeea00b1a7c84e94c75.tar.gz
nnfw-91f4ba45449f700a047a4aeea00b1a7c84e94c75.tar.bz2
nnfw-91f4ba45449f700a047a4aeea00b1a7c84e94c75.zip
Imported Upstream version 0.2upstream/0.2submit/tizen/20180918.075952
Diffstat (limited to 'tests')
-rwxr-xr-xtests/framework/run_test.sh76
-rw-r--r--tests/framework/tests/MODELS/inception_module/config.sh1
-rw-r--r--tests/framework/tests/MODELS/inception_nonslim/config.sh3
-rw-r--r--tests/framework/tests/MODELS/inception_slim/config.sh3
-rw-r--r--tests/framework/tests/MODELS/mobilenet/config.sh3
-rw-r--r--tests/framework/tests/add/1D/config.sh1
-rw-r--r--tests/framework/tests/add/4D/config.sh1
-rw-r--r--tests/framework/tests/average_pool_2d/avgpool1/config.sh1
-rw-r--r--tests/framework/tests/average_pool_2d/avgpool2/config.sh1
-rw-r--r--tests/framework/tests/cast/config.sh1
-rw-r--r--tests/framework/tests/concat/2D/config.sh2
-rw-r--r--tests/framework/tests/concat/concat1/config.sh1
-rw-r--r--tests/framework/tests/concat/concat2/config.sh1
-rw-r--r--tests/framework/tests/conv_2d/convolution1/config.sh1
-rw-r--r--tests/framework/tests/conv_2d/convolution2/config.sh1
-rw-r--r--tests/framework/tests/custom/tensorflowmax/config.sh1
-rw-r--r--tests/framework/tests/depthwise_conv_2d/depthconv1/config.sh1
-rw-r--r--tests/framework/tests/depthwise_conv_2d/depthconv2/config.sh1
-rw-r--r--tests/framework/tests/div/broadcast/config.sh1
-rw-r--r--tests/framework/tests/embedding_lookup/config.sh2
-rw-r--r--tests/framework/tests/floor/floor1/config.sh1
-rw-r--r--tests/framework/tests/floor/floor2/config.sh1
-rw-r--r--tests/framework/tests/fullyconnected/fc1/config.sh1
-rw-r--r--tests/framework/tests/fullyconnected/matmul2x2/config.sh7
-rw-r--r--tests/framework/tests/gather/config.sh1
-rw-r--r--tests/framework/tests/hashtable_lookup/config.sh2
-rw-r--r--tests/framework/tests/inceptionv3/inception_nonslim/config.sh9
-rw-r--r--tests/framework/tests/inceptionv3/inception_slim/config.sh9
-rw-r--r--tests/framework/tests/l2_normalization/config.sh2
-rw-r--r--tests/framework/tests/l2_pool_2d/config.sh2
-rw-r--r--tests/framework/tests/logistic/config.sh2
-rw-r--r--tests/framework/tests/max_pool_2d/maxpool1/config.sh1
-rw-r--r--tests/framework/tests/max_pool_2d/maxpool2/config.sh1
-rw-r--r--tests/framework/tests/mean/config.sh1
-rw-r--r--tests/framework/tests/mul/broadcast/config.sh1
-rw-r--r--tests/framework/tests/pad/4D_2D/config.sh1
-rw-r--r--tests/framework/tests/pad/pad1/config.sh2
-rw-r--r--tests/framework/tests/pad/pad2/config.sh2
-rw-r--r--tests/framework/tests/reduce_mean/test1/config.sh3
-rw-r--r--tests/framework/tests/reduce_mean/test2/config.sh3
-rw-r--r--tests/framework/tests/relu/config.sh1
-rw-r--r--tests/framework/tests/relu6/config.sh1
-rw-r--r--tests/framework/tests/reshape/3D/config.sh1
-rw-r--r--tests/framework/tests/reshape/reshape1/config.sh1
-rw-r--r--tests/framework/tests/reshape/reshape2/config.sh1
-rw-r--r--tests/framework/tests/resize_bilinear/config.sh1
-rw-r--r--tests/framework/tests/rnn/config.sh2
-rw-r--r--tests/framework/tests/softmax/config.sh1
-rw-r--r--tests/framework/tests/space_to_depth/config.sh1
-rw-r--r--tests/framework/tests/squeeze/config.sh2
-rw-r--r--tests/framework/tests/strided_slice/config.sh1
-rw-r--r--tests/framework/tests/sub/broadcast/config.sh2
-rw-r--r--tests/framework/tests/tanh/config.sh2
-rw-r--r--tests/framework/tests/topk_v2/config.sh1
-rw-r--r--tests/framework/tests/tranpose/config.sh2
55 files changed, 147 insertions, 28 deletions
diff --git a/tests/framework/run_test.sh b/tests/framework/run_test.sh
index ad624ef25..a9feaab55 100755
--- a/tests/framework/run_test.sh
+++ b/tests/framework/run_test.sh
@@ -16,6 +16,7 @@
MY_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+NNFW_HOME="$(dirname $(dirname ${MY_PATH}))"
CACHE_ROOT_PATH=$MY_PATH/"cache"
TEST_ROOT_PATH=$MY_PATH/"tests"
REPORT_DIR="report"
@@ -31,13 +32,39 @@ function Usage()
echo "--driverbin - (default=../../Product/out/bin/tflite_run) runner for runnning framework tests"
echo "--reportdir - (default=report) directory to place tap files"
echo "--tapname - (default=framework_test.tap) file name to be written for tap"
+ echo "--ldlibrarypath - (default=${NNFW_HOME}/Product/out/lib) path to '*.so' files"
echo ""
}
+function verify_downloaded_file()
+{
+ LOCAL_PATH=$1
+ REMOTE_URL=$2
+
+ # Ignore checking md5 in cache
+ if [ ! -z $IGNORE_MD5 ] && [ "$IGNORE_MD5" == "1" ]; then
+ return 0
+ fi
+
+ LOCAL_HASH=$(md5sum $LOCAL_PATH | awk '{ print $1 }')
+ REMOTE_HASH=$(curl -I -ss $REMOTE_URL | grep '^Content-MD5' | tr -d '\r\n' | awk '{ print $2 }' | base64 -d | xxd -p)
+ # TODO Emit an error when Content-MD5 field was not found. (Server configuration issue)
+
+ if [ "$LOCAL_HASH" != "$REMOTE_HASH" ]; then
+ echo "Downloaded file is outdated or incomplete."
+ return 1
+ fi
+}
+
DRIVER_BIN=""
+NNFW_LD_LIBRARY_PATH=""
TAP_NAME="framework_test.tap"
TEST_LIST=()
DOWNLOAD_MODE="off"
+
+# Support environment variable setting for mirror server
+FIXED_MODELFILE_SERVER="${MODELFILE_SERVER:-}"
+
for i in "$@"
do
case $i in
@@ -57,6 +84,9 @@ do
--download=*)
DOWNLOAD_MODE=${i#*=}
;;
+ --ldlibrarypath=*)
+ NNFW_LD_LIBRARY_PATH=${i#*=}
+ ;;
*)
TEST_LIST+=( $i )
;;
@@ -69,7 +99,7 @@ if [[ ${#TEST_LIST[@]} -eq 0 ]]; then
fi
if [ ! -n "$DRIVER_BIN" ]; then
- DRIVER_BIN=$MY_PATH/"../../Product/out/bin/tflite_run"
+ DRIVER_BIN="$NNFW_HOME/Product/out/bin/tflite_run"
fi
# Check test driver setting
@@ -91,10 +121,20 @@ run_tests()
done
echo "======================"
+ if [ -z "$NNFW_LD_LIBRARY_PATH" ]; then
+ NNFW_LD_LIBRARY_PATH="$NNFW_HOME/Product/out/lib/"
+ else
+ NNFW_LD_LIBRARY_PATH="$NNFW_LD_LIBRARY_PATH:$NNFW_HOME/Product/out/lib/"
+ fi
+
+ TOTAL_RESULT=0 # 0(normal) or 1(abnormal)
i=0
for TEST_NAME in $SELECTED_TESTS; do
+ # Test configure initialization
((i++))
STATUS="enabled"
+ MODELFILE_SERVER_PATH=""
+ MODELFILE_NAME=""
source $TEST_ROOT_PATH/$TEST_NAME/config.sh
LOWER_STATUS="$(echo $STATUS | awk '{print tolower($0)}')"
@@ -108,6 +148,10 @@ run_tests()
TEST_CACHE_PATH=$CACHE_ROOT_PATH/$TEST_NAME
MODELFILE=$TEST_CACHE_PATH/$MODELFILE_NAME
+ MODELFILE_URL="$MODELFILE_SERVER_PATH/$MODELFILE_NAME"
+ if [ -n "$FIXED_MODELFILE_SERVER" ]; then
+ MODELFILE_URL="$FIXED_MODELFILE_SERVER/$MODELFILE_NAME"
+ fi
# Download model file
if [ ! -e $TEST_CACHE_PATH ]; then
@@ -115,20 +159,21 @@ run_tests()
fi
# Download unless we have it in cache (Also check md5sum)
- if [ ! -e $MODELFILE ] || [ $(md5sum $MODELFILE | awk '{ print $1 }') != "$MODELFILE_MD5SUM" ]; then
+ if [ ! -e $MODELFILE ] || ! verify_downloaded_file "$MODELFILE" "$MODELFILE_URL"; then
echo ""
echo "Download test file for $TEST_NAME"
echo "======================"
rm -f $MODELFILE # Remove invalid file if exists
pushd $TEST_CACHE_PATH
- wget -nv $MODELFILE_SERVER_URL/$MODELFILE_NAME
+ wget -nv $MODELFILE_URL
if [ "${MODELFILE_NAME##*.}" == "zip" ]; then
unzip -o $MODELFILE_NAME
fi
popd
fi
+ # Find model file for downloaded by zip
if [ "${MODELFILE_NAME##*.}" == "zip" ]; then
pushd $TEST_CACHE_PATH
MODELFILE=$TEST_CACHE_PATH/$(ls *.tflite)
@@ -138,15 +183,19 @@ run_tests()
echo ""
echo "Run $TEST_NAME"
echo "======================"
+
# Run driver to test framework
- $DRIVER_BIN $MODELFILE
- RESULT=$?
- if [[ $RESULT -eq 0 ]]; then
+ LD_LIBRARY_PATH="${NNFW_LD_LIBRARY_PATH}:${LD_LIBRARY_PATH}" $DRIVER_BIN $MODELFILE
+
+ #$DRIVER_BIN $MODELFILE
+ if [[ $? -eq 0 ]]; then
echo "ok $i - $TEST_NAME" >> $REPORT_DIR/$TAP_NAME
else
echo "not ok $i - $TEST_NAME" >> $REPORT_DIR/$TAP_NAME
+ TOTAL_RESULT=1
fi
done
+ return $TOTAL_RESULT
}
download_tests()
@@ -163,11 +212,18 @@ download_tests()
i=0
for TEST_NAME in $SELECTED_TESTS; do
+ # Test configure initialization
((i++))
+ MODELFILE_SERVER_PATH=""
+ MODELFILE_NAME=""
source $TEST_ROOT_PATH/$TEST_NAME/config.sh
TEST_CACHE_PATH=$CACHE_ROOT_PATH/$TEST_NAME
MODELFILE=$TEST_CACHE_PATH/$MODELFILE_NAME
+ MODELFILE_URL="$MODELFILE_SERVER/$MODELFILE_NAME"
+ if [ -n "$FIXED_MODELFILE_SERVER" ]; then
+ MODELFILE_URL="$FIXED_MODELFILE_SERVER/$MODELFILE_NAME"
+ fi
# Download model file
if [ ! -e $TEST_CACHE_PATH ]; then
@@ -175,17 +231,16 @@ download_tests()
fi
# Download unless we have it in cache (Also check md5sum)
- if [ ! -e $MODELFILE ] || [ $(md5sum $MODELFILE | awk '{ print $1 }') != "$MODELFILE_MD5SUM" ]; then
+ if [ ! -e $MODELFILE ] || ! verify_downloaded_file "$MODELFILE" "$MODELFILE_URL"; then
echo ""
echo "Download test file for $TEST_NAME"
echo "======================"
rm -f $MODELFILE # Remove invalid file if exists
pushd $TEST_CACHE_PATH
- wget -nv $MODELFILE_SERVER_URL/$MODELFILE_NAME
-
+ wget -nv $MODELFILE_URL
if [ "${MODELFILE_NAME##*.}" == "zip" ]; then
- unzip $MODELFILE_NAME
+ unzip -o $MODELFILE_NAME
fi
popd
fi
@@ -226,3 +281,4 @@ if [[ "$DOWNLOAD_MODE" == "on" ]]; then
fi
run_tests $TESTS_TO_RUN
+exit $?
diff --git a/tests/framework/tests/MODELS/inception_module/config.sh b/tests/framework/tests/MODELS/inception_module/config.sh
new file mode 100644
index 000000000..3f6eae9ee
--- /dev/null
+++ b/tests/framework/tests/MODELS/inception_module/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="inception_test.tflite"
diff --git a/tests/framework/tests/MODELS/inception_nonslim/config.sh b/tests/framework/tests/MODELS/inception_nonslim/config.sh
new file mode 100644
index 000000000..de3fb88c7
--- /dev/null
+++ b/tests/framework/tests/MODELS/inception_nonslim/config.sh
@@ -0,0 +1,3 @@
+MODELFILE_SERVER_PATH="https://storage.googleapis.com/download.tensorflow.org/models/tflite"
+MODELFILE_NAME="inception_v3_2015_2017_11_10.zip"
+STATUS="disabled"
diff --git a/tests/framework/tests/MODELS/inception_slim/config.sh b/tests/framework/tests/MODELS/inception_slim/config.sh
new file mode 100644
index 000000000..45e44dd5f
--- /dev/null
+++ b/tests/framework/tests/MODELS/inception_slim/config.sh
@@ -0,0 +1,3 @@
+MODELFILE_SERVER_PATH="https://storage.googleapis.com/download.tensorflow.org/models/tflite"
+MODELFILE_NAME="inception_v3_slim_2016_android_2017_11_10.zip"
+STATUS="disabled"
diff --git a/tests/framework/tests/MODELS/mobilenet/config.sh b/tests/framework/tests/MODELS/mobilenet/config.sh
new file mode 100644
index 000000000..b17a3bd54
--- /dev/null
+++ b/tests/framework/tests/MODELS/mobilenet/config.sh
@@ -0,0 +1,3 @@
+MODELFILE_SERVER_PATH="https://storage.googleapis.com/download.tensorflow.org/models/tflite"
+MODELFILE_NAME="mobilenet_v1_0.25_128_float_2017_11_08.zip"
+STATUS="enabled"
diff --git a/tests/framework/tests/add/1D/config.sh b/tests/framework/tests/add/1D/config.sh
new file mode 100644
index 000000000..ca6fafe26
--- /dev/null
+++ b/tests/framework/tests/add/1D/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="add_test1.tflite"
diff --git a/tests/framework/tests/add/4D/config.sh b/tests/framework/tests/add/4D/config.sh
new file mode 100644
index 000000000..d9e93d17b
--- /dev/null
+++ b/tests/framework/tests/add/4D/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="add_test4.tflite"
diff --git a/tests/framework/tests/average_pool_2d/avgpool1/config.sh b/tests/framework/tests/average_pool_2d/avgpool1/config.sh
new file mode 100644
index 000000000..7e0130088
--- /dev/null
+++ b/tests/framework/tests/average_pool_2d/avgpool1/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="avgpool_test1.tflite"
diff --git a/tests/framework/tests/average_pool_2d/avgpool2/config.sh b/tests/framework/tests/average_pool_2d/avgpool2/config.sh
new file mode 100644
index 000000000..1ef0b17ca
--- /dev/null
+++ b/tests/framework/tests/average_pool_2d/avgpool2/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="avgpool_test2.tflite"
diff --git a/tests/framework/tests/cast/config.sh b/tests/framework/tests/cast/config.sh
new file mode 100644
index 000000000..0e123e3be
--- /dev/null
+++ b/tests/framework/tests/cast/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="cast_test.tflite"
diff --git a/tests/framework/tests/concat/2D/config.sh b/tests/framework/tests/concat/2D/config.sh
new file mode 100644
index 000000000..bb71cad83
--- /dev/null
+++ b/tests/framework/tests/concat/2D/config.sh
@@ -0,0 +1,2 @@
+MODELFILE_NAME="concat_test_2d.tflite"
+STATUS="disabled"
diff --git a/tests/framework/tests/concat/concat1/config.sh b/tests/framework/tests/concat/concat1/config.sh
new file mode 100644
index 000000000..4543b163a
--- /dev/null
+++ b/tests/framework/tests/concat/concat1/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="concat_test1.tflite"
diff --git a/tests/framework/tests/concat/concat2/config.sh b/tests/framework/tests/concat/concat2/config.sh
new file mode 100644
index 000000000..f4404e471
--- /dev/null
+++ b/tests/framework/tests/concat/concat2/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="concat_test2.tflite"
diff --git a/tests/framework/tests/conv_2d/convolution1/config.sh b/tests/framework/tests/conv_2d/convolution1/config.sh
new file mode 100644
index 000000000..46a205fdb
--- /dev/null
+++ b/tests/framework/tests/conv_2d/convolution1/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="convolution_test.tflite"
diff --git a/tests/framework/tests/conv_2d/convolution2/config.sh b/tests/framework/tests/conv_2d/convolution2/config.sh
new file mode 100644
index 000000000..eca5b3374
--- /dev/null
+++ b/tests/framework/tests/conv_2d/convolution2/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="convolution_test2.tflite"
diff --git a/tests/framework/tests/custom/tensorflowmax/config.sh b/tests/framework/tests/custom/tensorflowmax/config.sh
new file mode 100644
index 000000000..122c459db
--- /dev/null
+++ b/tests/framework/tests/custom/tensorflowmax/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="custom_max_test.tflite"
diff --git a/tests/framework/tests/depthwise_conv_2d/depthconv1/config.sh b/tests/framework/tests/depthwise_conv_2d/depthconv1/config.sh
new file mode 100644
index 000000000..39aa4a45f
--- /dev/null
+++ b/tests/framework/tests/depthwise_conv_2d/depthconv1/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="depth_conv_test1.tflite"
diff --git a/tests/framework/tests/depthwise_conv_2d/depthconv2/config.sh b/tests/framework/tests/depthwise_conv_2d/depthconv2/config.sh
new file mode 100644
index 000000000..3dd7c50b3
--- /dev/null
+++ b/tests/framework/tests/depthwise_conv_2d/depthconv2/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="depth_conv_test2.tflite"
diff --git a/tests/framework/tests/div/broadcast/config.sh b/tests/framework/tests/div/broadcast/config.sh
new file mode 100644
index 000000000..7c5e985fa
--- /dev/null
+++ b/tests/framework/tests/div/broadcast/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="div_test_broadcast.tflite"
diff --git a/tests/framework/tests/embedding_lookup/config.sh b/tests/framework/tests/embedding_lookup/config.sh
new file mode 100644
index 000000000..c882b15eb
--- /dev/null
+++ b/tests/framework/tests/embedding_lookup/config.sh
@@ -0,0 +1,2 @@
+MODELFILE_NAME="embedding_lookup_test1.tflite"
+STATUS="disabled"
diff --git a/tests/framework/tests/floor/floor1/config.sh b/tests/framework/tests/floor/floor1/config.sh
new file mode 100644
index 000000000..4952e4a54
--- /dev/null
+++ b/tests/framework/tests/floor/floor1/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="floor_4d_4d_test.tflite"
diff --git a/tests/framework/tests/floor/floor2/config.sh b/tests/framework/tests/floor/floor2/config.sh
new file mode 100644
index 000000000..24581dc33
--- /dev/null
+++ b/tests/framework/tests/floor/floor2/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="floor_test_4d.tflite"
diff --git a/tests/framework/tests/fullyconnected/fc1/config.sh b/tests/framework/tests/fullyconnected/fc1/config.sh
new file mode 100644
index 000000000..013361583
--- /dev/null
+++ b/tests/framework/tests/fullyconnected/fc1/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="fullyconnected_test.tflite"
diff --git a/tests/framework/tests/fullyconnected/matmul2x2/config.sh b/tests/framework/tests/fullyconnected/matmul2x2/config.sh
new file mode 100644
index 000000000..23226e470
--- /dev/null
+++ b/tests/framework/tests/fullyconnected/matmul2x2/config.sh
@@ -0,0 +1,7 @@
+MODELFILE_NAME="matmul2x2.tflite"
+STATUS="disabled"
+
+# this tflite is matmul (2x2 input, 2x2 const tensor)
+# the second 2x2 const tensor is [[1.1, 2.1],[3.1, 4.1]]
+#
+# enable this when we need to support matmul
diff --git a/tests/framework/tests/gather/config.sh b/tests/framework/tests/gather/config.sh
new file mode 100644
index 000000000..0f100a823
--- /dev/null
+++ b/tests/framework/tests/gather/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="gather_test.tflite"
diff --git a/tests/framework/tests/hashtable_lookup/config.sh b/tests/framework/tests/hashtable_lookup/config.sh
new file mode 100644
index 000000000..1176a36f1
--- /dev/null
+++ b/tests/framework/tests/hashtable_lookup/config.sh
@@ -0,0 +1,2 @@
+MODELFILE_NAME="hashtable_lookup_test1.tflite"
+STATUS="disabled"
diff --git a/tests/framework/tests/inceptionv3/inception_nonslim/config.sh b/tests/framework/tests/inceptionv3/inception_nonslim/config.sh
deleted file mode 100644
index 462a79618..000000000
--- a/tests/framework/tests/inceptionv3/inception_nonslim/config.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-if [ -z "$MODELFILE_SERVER" ]; then
- MODELFILE_SERVER_URL=https://storage.googleapis.com/download.tensorflow.org/models/tflite
- MODELFILE_NAME="inception_v3_2015_2017_11_10.zip"
- MODELFILE_MD5SUM="1da1555f2b63e520b9c8217921340860"
-else
- MODELFILE_SERVER_URL=$MODELFILE_SERVER
- MODELFILE_NAME="inceptionv3_non_slim_2015.tflite"
- MODELFILE_MD5SUM="58583dc1a7943684933a2a132e23c4ea"
-fi
diff --git a/tests/framework/tests/inceptionv3/inception_slim/config.sh b/tests/framework/tests/inceptionv3/inception_slim/config.sh
deleted file mode 100644
index 938c0fbc3..000000000
--- a/tests/framework/tests/inceptionv3/inception_slim/config.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-if [ -z "$MODELFILE_SERVER" ]; then
- MODELFILE_SERVER_URL=https://storage.googleapis.com/download.tensorflow.org/models/tflite
- MODELFILE_NAME="inception_v3_slim_2016_android_2017_11_10.zip"
- MODELFILE_MD5SUM="97a8c7e083c7120d4504ed08a268d371"
-else
- MODELFILE_SERVER_URL=$MODELFILE_SERVER
- MODELFILE_NAME="inceptionv3_slim_2016.tflite"
- MODELFILE_MD5SUM="467942de9b8e3a01324af56d45fab233"
-fi
diff --git a/tests/framework/tests/l2_normalization/config.sh b/tests/framework/tests/l2_normalization/config.sh
new file mode 100644
index 000000000..2cd9d0e00
--- /dev/null
+++ b/tests/framework/tests/l2_normalization/config.sh
@@ -0,0 +1,2 @@
+MODELFILE_NAME="l2_normalization_test1.tflite"
+STATUS="disabled"
diff --git a/tests/framework/tests/l2_pool_2d/config.sh b/tests/framework/tests/l2_pool_2d/config.sh
new file mode 100644
index 000000000..1d5a977f0
--- /dev/null
+++ b/tests/framework/tests/l2_pool_2d/config.sh
@@ -0,0 +1,2 @@
+MODELFILE_NAME="l2pool2d_test.tflite"
+STATUS="disabled"
diff --git a/tests/framework/tests/logistic/config.sh b/tests/framework/tests/logistic/config.sh
new file mode 100644
index 000000000..632c3629e
--- /dev/null
+++ b/tests/framework/tests/logistic/config.sh
@@ -0,0 +1,2 @@
+MODELFILE_NAME="sigmoid_test.tflite"
+STATUS="disabled"
diff --git a/tests/framework/tests/max_pool_2d/maxpool1/config.sh b/tests/framework/tests/max_pool_2d/maxpool1/config.sh
new file mode 100644
index 000000000..19a602eb5
--- /dev/null
+++ b/tests/framework/tests/max_pool_2d/maxpool1/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="maxpool_test.tflite"
diff --git a/tests/framework/tests/max_pool_2d/maxpool2/config.sh b/tests/framework/tests/max_pool_2d/maxpool2/config.sh
new file mode 100644
index 000000000..dc71599da
--- /dev/null
+++ b/tests/framework/tests/max_pool_2d/maxpool2/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="maxpool_test2.tflite"
diff --git a/tests/framework/tests/mean/config.sh b/tests/framework/tests/mean/config.sh
new file mode 100644
index 000000000..0853a87fc
--- /dev/null
+++ b/tests/framework/tests/mean/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="mean_test.tflite"
diff --git a/tests/framework/tests/mul/broadcast/config.sh b/tests/framework/tests/mul/broadcast/config.sh
new file mode 100644
index 000000000..5522ac877
--- /dev/null
+++ b/tests/framework/tests/mul/broadcast/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="mul_test_broadcast.tflite"
diff --git a/tests/framework/tests/pad/4D_2D/config.sh b/tests/framework/tests/pad/4D_2D/config.sh
new file mode 100644
index 000000000..9e0de2244
--- /dev/null
+++ b/tests/framework/tests/pad/4D_2D/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="pad_4d_2d_test.tflite"
diff --git a/tests/framework/tests/pad/pad1/config.sh b/tests/framework/tests/pad/pad1/config.sh
new file mode 100644
index 000000000..1c154c1dd
--- /dev/null
+++ b/tests/framework/tests/pad/pad1/config.sh
@@ -0,0 +1,2 @@
+MODELFILE_NAME="pad_test.tflite"
+STATUS="disabled"
diff --git a/tests/framework/tests/pad/pad2/config.sh b/tests/framework/tests/pad/pad2/config.sh
new file mode 100644
index 000000000..6a0b2d30f
--- /dev/null
+++ b/tests/framework/tests/pad/pad2/config.sh
@@ -0,0 +1,2 @@
+MODELFILE_NAME="pad_test2.tflite"
+STATUS="disabled"
diff --git a/tests/framework/tests/reduce_mean/test1/config.sh b/tests/framework/tests/reduce_mean/test1/config.sh
new file mode 100644
index 000000000..7884000aa
--- /dev/null
+++ b/tests/framework/tests/reduce_mean/test1/config.sh
@@ -0,0 +1,3 @@
+# REDUCE_MEAN is supported after tensorflow 1.10
+MODELFILE_NAME="reduce_mean_test.tflite"
+STATUS="disabled"
diff --git a/tests/framework/tests/reduce_mean/test2/config.sh b/tests/framework/tests/reduce_mean/test2/config.sh
new file mode 100644
index 000000000..d9ca89a7a
--- /dev/null
+++ b/tests/framework/tests/reduce_mean/test2/config.sh
@@ -0,0 +1,3 @@
+# REDUCE_MEAN is supported after tensorflow 1.10
+MODELFILE_NAME="reduce_mean_test_2.tflite"
+STATUS="disabled"
diff --git a/tests/framework/tests/relu/config.sh b/tests/framework/tests/relu/config.sh
new file mode 100644
index 000000000..bca59ef04
--- /dev/null
+++ b/tests/framework/tests/relu/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="relu_test.tflite"
diff --git a/tests/framework/tests/relu6/config.sh b/tests/framework/tests/relu6/config.sh
new file mode 100644
index 000000000..662cc4f33
--- /dev/null
+++ b/tests/framework/tests/relu6/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="relu6_test.tflite"
diff --git a/tests/framework/tests/reshape/3D/config.sh b/tests/framework/tests/reshape/3D/config.sh
new file mode 100644
index 000000000..3f7ec31ea
--- /dev/null
+++ b/tests/framework/tests/reshape/3D/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="reshape_test_3d.tflite"
diff --git a/tests/framework/tests/reshape/reshape1/config.sh b/tests/framework/tests/reshape/reshape1/config.sh
new file mode 100644
index 000000000..7bdef06ba
--- /dev/null
+++ b/tests/framework/tests/reshape/reshape1/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="reshape_test1.tflite"
diff --git a/tests/framework/tests/reshape/reshape2/config.sh b/tests/framework/tests/reshape/reshape2/config.sh
new file mode 100644
index 000000000..b040f0081
--- /dev/null
+++ b/tests/framework/tests/reshape/reshape2/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="reshape_test2.tflite"
diff --git a/tests/framework/tests/resize_bilinear/config.sh b/tests/framework/tests/resize_bilinear/config.sh
new file mode 100644
index 000000000..8f612cf6d
--- /dev/null
+++ b/tests/framework/tests/resize_bilinear/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="resize_bilinear_test.tflite"
diff --git a/tests/framework/tests/rnn/config.sh b/tests/framework/tests/rnn/config.sh
new file mode 100644
index 000000000..6fa93ebb0
--- /dev/null
+++ b/tests/framework/tests/rnn/config.sh
@@ -0,0 +1,2 @@
+MODELFILE_NAME="rnn_basic_test1.tflite"
+STATUS="disabled"
diff --git a/tests/framework/tests/softmax/config.sh b/tests/framework/tests/softmax/config.sh
new file mode 100644
index 000000000..fa6300d7e
--- /dev/null
+++ b/tests/framework/tests/softmax/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="softmax_test.tflite"
diff --git a/tests/framework/tests/space_to_depth/config.sh b/tests/framework/tests/space_to_depth/config.sh
new file mode 100644
index 000000000..ed103b826
--- /dev/null
+++ b/tests/framework/tests/space_to_depth/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="space_to_depth_test1.tflite"
diff --git a/tests/framework/tests/squeeze/config.sh b/tests/framework/tests/squeeze/config.sh
new file mode 100644
index 000000000..e2b0ecf98
--- /dev/null
+++ b/tests/framework/tests/squeeze/config.sh
@@ -0,0 +1,2 @@
+MODELFILE_NAME="squeeze_test.tflite"
+STATUS="disabled"
diff --git a/tests/framework/tests/strided_slice/config.sh b/tests/framework/tests/strided_slice/config.sh
new file mode 100644
index 000000000..4c41a1a39
--- /dev/null
+++ b/tests/framework/tests/strided_slice/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="strided_slice_test.tflite"
diff --git a/tests/framework/tests/sub/broadcast/config.sh b/tests/framework/tests/sub/broadcast/config.sh
new file mode 100644
index 000000000..f61285915
--- /dev/null
+++ b/tests/framework/tests/sub/broadcast/config.sh
@@ -0,0 +1,2 @@
+MODELFILE_NAME="sub_test_broadcast.tflite"
+STATUS="disabled"
diff --git a/tests/framework/tests/tanh/config.sh b/tests/framework/tests/tanh/config.sh
new file mode 100644
index 000000000..76a0abad2
--- /dev/null
+++ b/tests/framework/tests/tanh/config.sh
@@ -0,0 +1,2 @@
+MODELFILE_NAME="tanh_test.tflite"
+STATUS="disabled"
diff --git a/tests/framework/tests/topk_v2/config.sh b/tests/framework/tests/topk_v2/config.sh
new file mode 100644
index 000000000..1a460266f
--- /dev/null
+++ b/tests/framework/tests/topk_v2/config.sh
@@ -0,0 +1 @@
+MODELFILE_NAME="topkv2_test.tflite"
diff --git a/tests/framework/tests/tranpose/config.sh b/tests/framework/tests/tranpose/config.sh
new file mode 100644
index 000000000..07a489f41
--- /dev/null
+++ b/tests/framework/tests/tranpose/config.sh
@@ -0,0 +1,2 @@
+MODELFILE_NAME="transpose_4d.tflite"
+STATUS="disabled"